#ifndef VIRIAL_H
#define VIRIAL_H

// todo: AchtermannJCP94 with CO2, H2, N2, He, Ar virials

//enum authors { NIST, DymondSmith, WagPruss, HarveyLemmon, HillMcMillan, None } ;
enum authors { WagPruss, HarveyLemmon, HillMcMillan, None } ;

class virial {
public:

	virial() ;

	virial(const int species, const authors src = None) ;

	double n2p(double mol_m3, const double T) const ;

	double p2n(const double p, const double T) const ;

	double saturvap(const double T) const ;

protected:

	void BC(const double T, double &B, double &C) const ;

	double n2p(double mol_m3, const double T, const double virls[2]) const ;

	double p2n(const double p, const double T, const double virls[2]) const ;

private:
	bool idealgas ;
	int molec ;
	authors ref ;
} ;

#endif /* VIRIAL_H */
